package ru.otus.mobile.config;

import io.appium.java_client.android.AndroidDriver;

public final class TestContext {
    private final TestAccount account;
    private final MobileConfig.Emulator emulator;
    private final AndroidDriver driver;
    private final String testName;

    public TestContext(TestAccount account, MobileConfig.Emulator emulator, AndroidDriver driver, String testName) {
        this.account = account;
        this.emulator = emulator;
        this.driver = driver;
        this.testName = testName;
    }

    public TestAccount account() {
        return account;
    }

    public MobileConfig.Emulator emulator() {
        return emulator;
    }

    public AndroidDriver driver() {
        return driver;
    }

    public String testName() {
        return testName;
    }
}
